{ config, values, ... }:
{
  services.glance = {
    enable = true;
    settings = import ./settings.nix;
  };

  services.nginx.virtualHosts."glance.home.feal.no" = let
    inherit (config.services.glance.settings.server) host port;
  in {
    locations."/" = {
      proxyPass = "http://${host}:${toString port}";
    };
  };
}
